Bug 439685 - rt73usb mostly does not work after booting.
rt73usb mostly does not work after booting.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 09:28 EDT by Erhard Kroeger
Modified: 2009-05-05 20:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 11:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug text-file appearing after booting the requested 2.24.4-69.fc8 kernel (203.30 KB, text/plain)
2008-04-08 15:23 EDT, Erhard Kroeger
no flags Details
/var/log/dmesg after booting 2.4.24-69.fc8 (17.28 KB, text/plain)
2008-04-08 15:27 EDT, Erhard Kroeger
no flags Details
/var/log/messages after booting 2.24.4-69.fc8 (333.35 KB, text/plain)
2008-04-08 15:30 EDT, Erhard Kroeger
no flags Details
The ifcofig -a and iwconfig outputs + the actual /var/log/messages (39.91 KB, text/plain)
2008-04-10 14:04 EDT, Erhard Kroeger
no flags Details
the above file (449.58 KB, text/plain)
2008-04-10 16:10 EDT, Erhard Kroeger
no flags Details
/var/log/ fies, ifconfig -a and iwconfig (usb-stick attached, but no lan-cabel) (57.22 KB, text/plain)
2008-05-02 00:25 EDT, Erhard Kroeger
no flags Details

  None (edit)
Description Erhard Kroeger 2008-03-30 09:28:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
D-Link DWL-G122 is attached to a USB 1.1 connection. I expected it,to connect to wlan by NetworkManager with WPA-PSK after booting, as it did with my previous kernel-2.6.24.3-34.fc8. However, while rt73usb is detected, when booting, there mostly does not come up any connection. Seldomly, however, it is working correcty after booting. When it is not working, I see something like the following in /var/log/messages:

Mar 29 20:20:05 localhost kernel: hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
Mar 29 20:20:05 localhost kernel: usb 1-2: USB disconnect, address 3
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3040 with error -19.
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3040 with error -19.
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3028 with error -19.
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3064 with error -19.
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x0c failed for offset 0x0000 with error -19.
Mar 29 20:20:05 localhost kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x0a failed for offset 0x0000 with error -19.
Mar 29 20:20:11 localhost kernel:last message repeated 5 times

May be an error depending on timing, because sometimes not reproducable?
 

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-50.fc8

How reproducible:
Sometimes


Steps to Reproduce:
1.Plug in the USB-stick
2.Boot the system and log in to Gnome as root or user.
3.Wait for an eternity. No connection and no flickering leds at the sticks.

Actual Results:
No Wlan connection.

Expected Results:
A Wlan connection.

Additional info:
NetworkManager does not show up the wlan-conection as selectable, after this happens.
Comment 1 Erhard Kroeger 2008-03-30 09:33:10 EDT
Perhaps, the driver is not tested before with usb1.1 connection ?? 
Comment 2 Edward Karavakis 2008-04-03 15:53:24 EDT
is this a duplicate of bug #437809 ?
https://bugzilla.redhat.com/show_bug.cgi?id=437809
Comment 3 John W. Linville 2008-04-03 16:32:54 EDT
I'm not sure I see the connection...point it out to me?
Comment 4 Edward Karavakis 2008-04-04 19:55:27 EDT
Both are using the r73usb module. NetworkManager does not show up the wireless
connection as selectable... I thought that there's no 'enable wireless' option
on the nm-applet. My mistake?
Comment 5 John W. Linville 2008-04-07 08:50:25 EDT
Please try -69.fc8 (or later):

   http://koji.fedoraproject.org/koji/buildinfo?buildID=44648

Does that help?
Comment 6 Erhard Kroeger 2008-04-08 15:23:04 EDT
Created attachment 301691 [details]
bug text-file appearing after booting the requested 2.24.4-69.fc8 kernel 

I installed the kernel from koji and booted as root.rt73usb did not come up.
Comment 7 Erhard Kroeger 2008-04-08 15:27:03 EDT
Created attachment 301692 [details]
/var/log/dmesg after booting 2.4.24-69.fc8
Comment 8 Erhard Kroeger 2008-04-08 15:30:23 EDT
Created attachment 301693 [details]
/var/log/messages after booting 2.24.4-69.fc8
Comment 9 Erhard Kroeger 2008-04-08 15:40:24 EDT
Rebooting some more times with the required kernel never produced a working
wireless connection.However, the corresponding messages files differed slightly,
and the nm-applet bug file was never reproduced.
Thank you for your engagement with the problem.
Comment 10 John W. Linville 2008-04-09 09:09:04 EDT
Please attach the output of running 'ifconfig -a' and 'iwconfig'...thanks!
Comment 11 Erhard Kroeger 2008-04-10 14:04:47 EDT
Created attachment 302035 [details]
The ifcofig -a and iwconfig outputs + the actual /var/log/messages

I think the network names are strange. Perhaps an udev and NetworkManager
cooperation problem?
Comment 12 Erhard Kroeger 2008-04-10 16:10:06 EDT
Created attachment 302069 [details]
the above file

/var/log/messages
Comment 13 Erhard Kroeger 2008-04-10 16:18:00 EDT
The above file is from a reboot, where the stick surprisingly worked, at least,
when believing, what NetworkManager and iwconfig (with correct name wlan0)
indicated. Slowdon because of myriads of error messages in the file prevented
more work in this system.   
Comment 14 John W. Linville 2008-04-29 16:32:36 EDT
It has been a while, and there have been some key rt2x00 fixes...can you try 
something more recent?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=47227
Comment 15 Erhard Kroeger 2008-05-02 00:25:04 EDT
Created attachment 304361 [details]
/var/log/ fies, ifconfig -a and iwconfig (usb-stick attached, but no lan-cabel)
Comment 16 Erhard Kroeger 2008-05-02 00:40:00 EDT
I installed kernel-2.6.24.5-87.fc8.i686.rpm and
kernel-devel-2.6.24.5-87.fc8.i686.rpm from your suggested koji site and before
that I did an automatic yum updatesd of the system (including new versions of
NetworkManager and wpasupplicant). However, after rebooting the above
kernel-devel-2.6.24.5-87.fc8 there was no success and no working leds at the
stick. Some resulting /var/log/ and /etc/ files are included in the above
attachment.  
Comment 17 John W. Linville 2008-07-08 16:05:55 EDT
Do you continue to experience problems with current kernels?
Comment 18 Erhard Kroeger 2008-07-25 05:36:47 EDT
No more problems now, but I did not get the stick working with Fedora on my
labtop. I did the following:
1. I checked that stick with Windows XP, the same WPA,PSK,TKIP keying, but it
didnot work either. so I bought a new stick of the same revision level C1 and
checked that again with the same Windows, and it worked correctly.
2. I checked that new stick with th same fc8, and it did not work. I rechecked
it after a yum upgrade to fc9. It still did not work.
3. As I wanted to use the labtop during holidays, I installed a new Ubuntu 8.04
(with kernel 2.6.24 and NetworkManager). It worked with the new stick  (but not
with the old one, which I then put into the waste).
Sorry about the additional hardware problem with the stick. At hte moment, I
have no more problem personally. Perhaps, I should have made a fresh install to
fc9 instead of a yum upgrade, but I was in a huury in order to get things
running before holidays. Thank you.      
Comment 19 John W. Linville 2008-07-28 11:15:53 EDT
Sounds like you will be unavailable for further Fedora testing...
Comment 20 Erhard Kroeger 2008-07-30 03:23:56 EDT
Yes, that is the case for the next year or so.
Comment 21 Stuart D Gathman 2009-05-05 20:50:15 EDT
I have 3 laptops and a desktop running Fedora 10.  I have an rt73usb wireless USB dongle.  It works only on the 533Mhz Compaq Armada.  The rest all work for a few seconds then fail with "phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3040 with error -19."  At the instance that error occurs, the lights go out on the USB stick as if it was powered off.  

Even on the slowest system, it will occasionally fail (as in once every few weeks) - and refuse to work until I do a full power off.  Even on the faster systems, it will occasionally work (as in once every 100 or so tries - I keep trying just for kicks).  And once it gets connected the first time without the lights going out, it will continue to work until the system is powered off.

I previously submitted bug https://bugzilla.redhat.com/show_bug.cgi?id=426777

Note You need to log in before you can comment on or make changes to this bug.